## python-feather-format 0.2.0

=== src/feather/CMakeLists.txt ===
# Copyright 2012 Feather Developers
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set(LIBFEATHER_SRCS
  buffer.cc
  feather-c.cc
  io.cc
  metadata.cc
  reader.cc
  status.cc
  types.cc
  writer.cc
)

set(LIBFEATHER_LINK_LIBS
)

set(LIBFEATHER_LINKAGE "SHARED")

add_library(feather
  ${LIBFEATHER_LINKAGE}
  ${LIBFEATHER_SRCS}
)

set_target_properties(feather
  PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${BUILD_OUTPUT_ROOT_DIRECTORY}")
target_link_libraries(feather ${LIBFEATHER_LINK_LIBS})
set_target_properties(feather PROPERTIES LINKER_LANGUAGE CXX)

if(APPLE)
    set_target_properties(feather PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()

add_library(feather_test_main
  tests/test_main.cc)

if (APPLE)
  target_link_libraries(feather_test_main
    gtest
    dl)
  set_target_properties(feather_test_main
        PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
else()
  target_link_libraries(feather_test_main
    dl
    gtest
    pthread
  )
endif()

ADD_FEATHER_TEST(tests/c-api-test)
ADD_FEATHER_TEST(tests/io-test)
ADD_FEATHER_TEST(tests/metadata-test)
ADD_FEATHER_TEST(tests/writer-test)

# make clean will delete the generated file
set_source_files_properties(metadata_generated.h PROPERTIES GENERATED TRUE)

set(OUTPUT_DIR ${CMAKE_SOURCE_DIR}/src/feather)
set(FBS_OUTPUT_FILES "${OUTPUT_DIR}/metadata_generated.h")

set(FBS_SRC metadata.fbs)
get_filename_component(ABS_FBS_SRC ${FBS_SRC} ABSOLUTE)

add_custom_command(
  OUTPUT ${FBS_OUTPUT_FILES}
  COMMAND ${FLATBUFFERS_COMPILER} -c -o ${OUTPUT_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${FBS_SRC}
  DEPENDS ${ABS_FBA_SRC}
  COMMENT "Running flatc compiler on ${FBS_SRC}"
  VERBATIM
)

add_custom_target(metadata_fbs DEPENDS ${FBS_OUTPUT_FILES})
add_dependencies(feather metadata_fbs)

# installation
install(FILES
  api.h
  buffer.h
  common.h
  feather-c.h
  io.h
  metadata.h
  reader.h
  status.h
  types.h
  writer.h
  DESTINATION include/feather)

install(TARGETS feather
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib)

=== debian/changelog ===
python-feather-format (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 May 2016 19:08:48 +0800

python-feather-format (0.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Apr 2016 23:10:05 +0800

python-feather-format (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 05 Apr 2016 14:15:34 +0800

python-feather-format (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #819526

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Mar 2016 19:01:30 +0800

=== debian/control ===
Source: python-feather-format
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               cython,
               cython3,
               dh-python,
               python3-all,
               python3-dev,
               python3-numpy,
               python3-pandas,
               python3-setuptools,
               python-all,
               python-dev,
               python-numpy,
               python-pandas,
               python-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/wesm/feather
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-feather-format.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-feather-format.git
X-Python3-Version: >= 3.4
X-Python-Version: >= 2.7

Package: python-feather-format
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
Description: Python interface to the Apache Arrow-based Feather File Format (Python 2)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python2 binding for feather format.

Package: python3-feather-format
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Description: Python interface to the Apache Arrow-based Feather File Format (Python 3)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python3 binding for feather format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = feather-format

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
http://pypi.debian.net/feather-format/feather-format-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-feather-format 0.3.1%2Bdfsg1

=== debian/changelog ===
python-feather-format (0.3.1+dfsg1-7) unstable; urgency=medium

  * Team upload

  [ Bas Couwenberg ]
  * Switch to cython3-legacy (Closes: #1056856)

  [ Graham Inggs ]
  * Drop the runtime dependency on Cython (Closes: #1058001)
  * Add test dependency on python3-setuptools to avoid
    autopkgtest failure with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Thu, 14 Dec 2023 13:55:22 +0000

python-feather-format (0.3.1+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Patch: Support setuptools 60. Closes: #1022475

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Nov 2022 17:27:42 +0200

python-feather-format (0.3.1+dfsg1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 11:57:25 -0400

python-feather-format (0.3.1+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Drew Parsons ]
  * debian patch test_pandas.patch enables build against pandas 1.0.
    Thanks Rebecca Palmer. Closes: #950924.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Aug 2020 17:18:26 +0800

python-feather-format (0.3.1+dfsg1-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Rebecca N. Palmer ]
  * Be compatible with pandas 0.25 (Closes: #943925)

 -- Graham Inggs <ginggs@debian.org>  Fri, 22 Nov 2019 09:27:00 +0000

python-feather-format (0.3.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #841552, #904115).
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Add autopkgtests.
  * Add python3-six to {build-,}depends and python3-pandas to depends
    (Closes: #896370).
  * Enable all hardening.
  * Change B-D from python3-dev to python3-all-dev (Closes: #868971).

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 16:18:28 +0200

python-feather-format (0.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 25 Nov 2016 18:32:17 +0800

python-feather-format (0.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10.
  * Remove Multi-Arch: foreign.
  * Set LC_ALL=C.UTF-8 for test.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 13 Oct 2016 18:52:55 +0800

=== debian/control ===
Source: python-feather-format
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               cython3-legacy,
               dh-python,
               python3-all,
               python3-all-dev,
               python3-numpy,
               python3-pandas,
               python3-six,
               python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/wesm/feather
Vcs-Git: https://salsa.debian.org/python-team/packages/python-feather-format.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-feather-format

Package: python3-feather-format
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-six,
         python3-pandas,
Description: Python interface to the Apache Arrow-based Feather File Format (Python 3)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python3 binding for feather format.

## python-feather-format 0.3.1+dfsg1

=== requirements.txt ===
pandas>=0.17.0

=== src/feather/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,19 @@
   writer.cc
 )
 
+set(LIBFEATHER_HEADERS
+  api.h
+  buffer.h
+  common.h
+  feather-c.h
+  io.h
+  metadata.h
+  reader.h
+  status.h
+  types.h
+  writer.h
+)
+
 set(LIBFEATHER_LINK_LIBS
 )
 
@@ -31,6 +44,7 @@
 add_library(feather
   ${LIBFEATHER_LINKAGE}
   ${LIBFEATHER_SRCS}
+  ${LIBFEATHER_HEADERS}
 )
 
 set_target_properties(feather
@@ -43,6 +57,7 @@
     set_target_properties(feather PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
 endif()
 
+
 add_library(feather_test_main
   tests/test_main.cc)
 
@@ -52,6 +67,13 @@
     dl)
   set_target_properties(feather_test_main
         PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+elseif (WIN32)
+  target_link_libraries(feather_test_main
+    gtest)
+  # copy dll to directory of test executables
+  add_custom_command(TARGET feather_test_main POST_BUILD
+                     COMMAND ${CMAKE_COMMAND} -E copy_directory
+                     $<TARGET_FILE_DIR:feather> $<TARGET_FILE_DIR:feather_test_main>)
 else()
   target_link_libraries(feather_test_main
     dl

=== debian/changelog ===
python-feather-format (0.3.1+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Verify new upstream versions >0.3.1 are wrapper around pyarrow and thus
    can not be packaged before pyarrow is packaged for Debian.
  * Standards-Version: 4.6.2
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Rules-Requires-Root: no
  * Watch file standard 4
  * Adapt to Pandas 2.0
    Closes: #1044071

 -- Andreas Tille <tille@debian.org>  Fri, 09 Feb 2024 07:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cython3-legacy,
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-all-dev,
                python3-numpy,
                python3-pandas,
                python3-six,
                python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wesm/feather
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-feather-format.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-feather-format

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import feather; print(feather)" ; done
Depends: python3-all, python3-feather-format, python3-setuptools
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg1 \
https://pypi.debian.net/feather-format/feather-format-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
